summaryrefslogtreecommitdiffstats
path: root/audio/swh-plugins
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-12 23:28:11 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:11 +0200
commit4968baa6e48ae9749c7a773bc3533439e47f3d02 (patch)
tree59e0d1822b9b57c099f1a9430857eee03f489bcb /audio/swh-plugins
parentd962c7357d28f17a9c8c38dccd97ea404fbc970c (diff)
downloadslackbuilds-4968baa6e48ae9749c7a773bc3533439e47f3d02.tar.gz
slackbuilds-4968baa6e48ae9749c7a773bc3533439e47f3d02.tar.xz
audio/swh-plugins: Added to 12.2 repository
Diffstat (limited to 'audio/swh-plugins')
-rw-r--r--audio/swh-plugins/README3
-rw-r--r--audio/swh-plugins/slack-desc19
-rw-r--r--audio/swh-plugins/swh-plugins.SlackBuild67
-rw-r--r--audio/swh-plugins/swh-plugins.info8
4 files changed, 97 insertions, 0 deletions
diff --git a/audio/swh-plugins/README b/audio/swh-plugins/README
new file mode 100644
index 0000000000..cbf1f3e68f
--- /dev/null
+++ b/audio/swh-plugins/README
@@ -0,0 +1,3 @@
+GPL'd (free software) audio plugins for LADSPA.
+
+Requires FFTW and LADSPA, available at SlackBuilds.org
diff --git a/audio/swh-plugins/slack-desc b/audio/swh-plugins/slack-desc
new file mode 100644
index 0000000000..48c5572915
--- /dev/null
+++ b/audio/swh-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+swh-plugins: swh-plugins (GPL'd audio plugins for LADSPA)
+swh-plugins:
+swh-plugins: GPL'd (free software) audio plugins for LADSPA.
+swh-plugins:
+swh-plugins:
+swh-plugins:
+swh-plugins:
+swh-plugins:
+swh-plugins:
+swh-plugins:
+swh-plugins:
diff --git a/audio/swh-plugins/swh-plugins.SlackBuild b/audio/swh-plugins/swh-plugins.SlackBuild
new file mode 100644
index 0000000000..5186e0e596
--- /dev/null
+++ b/audio/swh-plugins/swh-plugins.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for swh-plugins
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=swh-plugins
+VERSION=0.4.15
+ARCH=${ARCH:-i486} # Same as FFTW, see below.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# SIMD Selection, see configure line.
+WITH_SSE=${WITH_SSE:-yes}
+WITH_3DNOW=${WITH_3DNOW:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Uncomment this to override the SIMD settings above (not recommended)
+#CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-3dnow=$WITH_3DNOW \
+ --enable-sse=$WITH_SSE \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/swh-plugins/swh-plugins.info b/audio/swh-plugins/swh-plugins.info
new file mode 100644
index 0000000000..a850ff6b54
--- /dev/null
+++ b/audio/swh-plugins/swh-plugins.info
@@ -0,0 +1,8 @@
+PRGNAM="swh-plugins"
+VERSION="0.4.15"
+HOMEPAGE="http://plugin.org.uk/"
+DOWNLOAD="http://plugin.org.uk/releases/0.4.15/swh-plugins-0.4.15.tar.gz"
+MD5SUM="2fbdccef2462ea553901acd429fa3573"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"